> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 监控进度

> Get the status of a specific collection that has previously been triggered.



## OpenAPI

````yaml get /datasets/v3/progress/{snapshot_id}
openapi: 3.1.0
info:
  title: Brightdata API
  description: API for interaction with datasets marketplace
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /datasets/v3/progress/{snapshot_id}:
    get:
      description: >-
        Get the status of a specific collection that has previously been
        triggered.
      parameters:
        - name: snapshot_id
          in: path
          required: true
          schema:
            type: string
            example: s_m4x7enmven8djfqak
            description: The ID that was returned when the collection was triggered
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  snapshot_id:
                    type: string
                  dataset_id:
                    type: string
                  status:
                    type: string
                    description: Status of the snapshot
                    enum:
                      - running
                      - ready
                      - failed
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````